import { createVuexDecorator } from './utils';
function createMutationFunction(value) {
    var mutation = function (state, payload) {
        value.call(state, payload);
    };
    return mutation;
}
export function Mutation() {
    return createVuexDecorator(function (componentOptions, k, description) {
        if (typeof componentOptions.mutations !== 'object') {
            componentOptions.mutations = Object.create(null);
        }
        componentOptions.mutations[k] = createMutationFunction(description.value);
    });
}
